using Microsoft.Extensions.Options;
using System.Net.Http.Headers;

namespace MilkStream.Services;

public class MediaServiceOptions {
    public string BaseUrl { get; set; } = string.Empty;
}

public class MediaService {
    HttpClient client;

    public MediaService(IOptions<MediaServiceOptions> options) {
        client             = new HttpClient();
        client.BaseAddress = new Uri(options.Value.BaseUrl);
    }

    public async Task GetAssortedMedia(string accessToken) {
        client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("bearer", accessToken);
        
    }
}
